<?php
/*
Plugin Name: Simple CMS
Plugin URI: http://pixopoint.com/simplecms/
Description: The Simple CMS Plugin converts your WordPress admin panel into a simple CMS. It is aimed at web designers who want to provide a simple adminstration panel for their clients to update basic static websites. Visit the <a href="http://pixopoint.com/simplecms/">Simple CMS page</a> for more information or visit the <a href="http://pixopoint.com/forum/index.php?board=3.0">PixoPoint Simple CMS support board</a> to ask questions about the plugin.

Author: PixoPoint Web Development
Version: 1.3.3
Author URI: http://pixopoint.com/

Copyright 2008 PixoPoint Web Development

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/



add_action('admin_head', 'ryans_simplecms');


function ryans_simplecms() {
		if (current_user_can('edit_users')) {}
		else { ?>
			<link rel="stylesheet" type="text/css" href="<?php echo get_settings('siteurl'); ?>/wp-content/plugins/ryans-simple-cms/wp-admin.css" />
			<?php if (get_option('simplecms_customfields') == 'on') {?>
			<style type="text/css">
				#pagepostcustom {display:block}
			</style>
			<?php }
				}
}






add_action('admin_notices', 'ryans_simplecms_menu');

function ryans_simplecms_menu() {
	if (current_user_can('edit_users')) {echo '';}
	else {?>
		<ul id="ryans_simplecms_menu">
			<li><a href="<?php echo get_settings('siteurl'); ?>/wp-admin/">Dashboard</a></li>
				<?php
				if (get_option('simplecms_newpage') == 'on') {?>		<li><a href="<?php echo get_settings('siteurl'); ?>/wp-admin/page-new.php">New Page</a></li> <?php }
				if (get_option('simplecms_manage') == 'on') {?>		<li><a href="<?php echo get_settings('siteurl'); ?>/wp-admin/edit-pages.php">Manage</a></li> <?php }
				if (get_option('simplecms_uploads') == 'on') {?>		<li><a href="<?php echo get_settings('siteurl'); ?>/wp-admin/upload.php">Uploads</a></li> <?php }
				if (get_option('simplecms_comments') == 'on') {?>		<li><a href="<?php echo get_settings('siteurl'); ?>/wp-admin/edit-comments.php">Comments</a></li> <?php }
				if (get_option('simplecms_profile') == 'on') {?>		<li><a href="<?php echo get_settings('siteurl'); ?>/wp-admin/profile.php">Profile</a></li> <?php }
				if (get_option('simplecms_logout') == 'on') {?>		<li><a href="<?php echo get_settings('siteurl'); ?>/wp-login.php?action=logout">Log Out</a></li> <?php }
			?>
		</ul>
	<?php }
	}





add_action('admin_footer', 'ryans_simplecms_footer');

function ryans_simplecms_footer() {
		if (current_user_can('edit_users')) {}
		else { ?>
	<div id="ryans_simplecms_footer">
		<p>Developed by <a href="http://wordpress.org/">WordPress</a></p>
		<p>Modified for use as a CMS by <a href="http://pixopoint.com/">PixoPoint Web Development</a></p>
	</div>
	<?php }
	}








// adds options menu
add_action('admin_menu', 'show_simplecms_options');

function show_simplecms_options() {
    // Add a new submenu under Options:
    add_options_page('Simple CMS Plugin Options', 'Simple CMS', 8, 'simplecms', 'simplecms_options');

add_option('simplecms_newpage', 'on');
add_option('simplecms_newpage', 'on');
add_option('simplecms_manage', 'on');
add_option('simplecms_uploads', 'on');
add_option('simplecms_logout', 'on');
add_option('simplecms_comments', 'off');
add_option('simplecms_profile', 'off');
add_option('simplecms_customfields', 'off');
}

function simplecms_options() { ?>

<style type="text/css">
#options h3 { margin-bottom: -10px; }
#options h2 { margin-top: 30px; }
#options label { width: 200px; float: left; margin-right: 25px; font-weight: bold; }
#options input { float: left; }
#options p { clear: both; }
.menuitems {float:left;width:300px;height:70px}
</style>

<div class="wrap">
	<form method="post" action="options.php" id="options">
		<?php wp_nonce_field('update-options') ?>

		<h2>Simple CMS Options</h2>
		<p>
			The Simple CMS plugin converts your WordPress admin panel into a simple CMS. This is aimed at web designers who want to provide a simple adminstration panel for their clients to update basic static websites.
		</p>
		<p>
			If you have any comments, questions or suggestions about this plugin, please visit the
			<a href="http://pixopoint.com/forum/index.php?board=3.0">Simple CMS Support board</a>.
		</p>
		<p>
			If you would like to support the development of this plugin, please consider <a href="http://pixopoint.com/donation/">donating</a> or take advantage of our <a href="http://pixopoint.com/premium_support/">Premium Support option</a>.
		</p>
		<div style="clear:both;padding-top:5px;"></div>

		<h2>Menu Contents</h2>
		<p>
			<label>New Page</label>
			<?php
				if (get_option('simplecms_newpage') == 'on') {echo '<input type="checkbox" name="simplecms_newpage" checked="yes" />';}
				else {echo '<input type="checkbox" name="simplecms_newpage" />';}
			?>
		</p>
		<p>
			<label>Manage Page</label>
			<?php
				if (get_option('simplecms_manage') == 'on') {echo '<input type="checkbox" name="simplecms_manage" checked="yes" />';}
				else {echo '<input type="checkbox" name="simplecms_manage" />';}
			?>
		</p>
		<p>
			<label>Uploads Page</label>
			<?php
				if (get_option('simplecms_uploads') == 'on') {echo '<input type="checkbox" name="simplecms_uploads" checked="yes" />';}
				else {echo '<input type="checkbox" name="simplecms_uploads" />';}
			?>
		</p>
		<p>
			<label>Comments Page</label>
			<?php
				if (get_option('simplecms_comments') == 'on') {echo '<input type="checkbox" name="simplecms_comments" checked="yes" />';}
				else {echo '<input type="checkbox" name="simplecms_comments" />';}
			?>
		</p>
		<p>
			<label>Profile	 Page</label>
			<?php
				if (get_option('simplecms_profile') == 'on') {echo '<input type="checkbox" name="simplecms_profile" checked="yes" />';}
				else {echo '<input type="checkbox" name="simplecms_profile" />';}
			?>
		</p>
		<p>
			<label>Logout</label>
			<?php
				if (get_option('simplecms_logout') == 'on') {echo '<input type="checkbox" name="simplecms_logout" checked="yes" />';}
				else {echo '<input type="checkbox" name="simplecms_logout" />';}
			?>
		</p>
		<p>&nbsp;</p>
		<h2>Extra Features</h2>
		<p>
			<label>Custom Fields</label>
			<?php
				if (get_option('simplecms_customfields') == 'on') {echo '<input type="checkbox" name="simplecms_customfields" checked="yes" />';}
				else {echo '<input type="checkbox" name="simplecms_customfields" />';}
			?>
		</p>

		<input type="hidden" name="action" value="update" />
		<input type="hidden" name="page_options" value="simplecms_newpage,simplecms_manage,simplecms_uploads,simplecms_logout,simplecms_plugins,simplecms_privacy,simplecms_themes,simplecms_widgets,simplecms_comments,simplecms_users,simplecms_profile,simplecms_customfields" />
		<div style="clear:both;padding-top:20px;"></div>
		<p class="submit"><input type="submit" name="Submit" value="<?php _e('Update Options') ?>" /></p>
		<div style="clear:both;padding-top:20px;"></div>

	</form>
</div>
<?php } ?>
